﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Core.Primitives;
using System.Diagnostics;

namespace UltraChartLineChart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("Month", typeof(string));
            dt.Columns.Add("2019", typeof(decimal));
            dt.Columns.Add("2020", typeof(decimal));


            dt.Rows.Add("Jan", 10, 20);
            dt.Rows.Add("Feb", 30, 10);
            dt.Rows.Add("Mar", 20, 30);
            dt.Rows.Add("Apr", 40, 40);
            dt.Rows.Add("May", 60, 30);
            dt.Rows.Add("Jun", 55, 40);
            dt.Rows.Add("Jul", 65, 50);
            dt.Rows.Add("Aug", 70, 30);
            dt.Rows.Add("Sep", 60, null);
            dt.Rows.Add("Oct", 40, null);
            dt.Rows.Add("Nov", 45, null);
            dt.Rows.Add("Dec", 50, null);

            ultraChart1.DataSource = dt;
            ultraChart1.Data.SwapRowsAndColumns = true;
            ultraChart1.LineChart.NullHandling = Infragistics.UltraChart.Shared.Styles.NullHandling.DontPlot;
        }

        private void ultraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
        {
            //foreach (Primitive item in e.SceneGraph)
            //{
            //    Text pl = item as Text;
            //    if (pl != null && pl.Path == "Border.Title.Grid.Y")
            //    {
            //        pl.PE.Fill = Color.Red;
            //        pl.bounds.Offset(-15, 0);
            //    }
            //    if (pl != null && pl.Path == "Border.Title.Grid.X")
            //    {
            //        pl.PE.Fill = Color.Green;
            //        pl.bounds.Offset(5, 15);
            //    }
            //}
        }
    }
}
